<?php
//Created by ARDORA www.webardora.net
//ardoraPoster - uploadFile.php
$_SERVER["HTTP_REFERER"]="introDatos.php";
session_start();
include_once ("para.php");include_once (profUname.uName."/".uName."_lib.php");
$slogin_noauthpage = 0;$slogin_pagetitle = "";session_cache_limiter("nocache,private");ini_set("memory_limit","80M");
$folderGroup=$_GET["folderG"];$indi=$_GET["indi"];$indi=(int)$indi;$path ="../".folderWork;
if ($indi==0){$contador=0;
  while (file_exists($path.$slogin_Username."_".$contador.".txt")){$contador++;}}
 else{$contador=$indi-1;}
$nombre_archivo = $_FILES["media"]["name"]; $tipo_archivo = $_FILES["media"]["type"]; $tamano_archivo = $_FILES["media"]["size"];
$nomeArquivo=$slogin_Username."_".$contador; $exten=dameExt($nombre_archivo);
if ((strcmp($exten,"mp3")!=0)&&(strcmp($exten,"ogg")!=0)&&(strcmp($exten,"ogv")!=0)&&(strcmp($exten,"oga")!=0)&&(strcmp($exten,"mp4")!=0)&&(strcmp($exten,"flv")!=0)){
  echo "Tipo de arquivo non permitido";
}else{if ($tamano_archivo > sizeMaxMedia){
   if ($tamano_archivo > sizeMaxMedia){
      echo "Arquivo demasiado grande: ".$nombre_archivo." bytes - ".$tamano_archivo." (Max.: ".sizeMaxMedia.")";
}else{echo "Arquivo demasiado grande";}}else{
if (move_uploaded_file($_FILES["media"]["tmp_name"],$path.$folderGroup."/media/".$nomeArquivo.".".dameExt($nombre_archivo))){
  echo "success".$path.$folderGroup."/media/".$nomeArquivo.".".dameExt($nombre_archivo);
  }else{echo "Ocurrió algún error al subir el fichero. No pudo guardarse.";}
  $ar=fopen($path.$nomeArquivo.".txt","w") or die("non se pudo crear o arquivo");
   fputs($ar,$slogin_Username); fputs($ar,"\n"); fputs($ar,dameExt($nombre_archivo));
   fputs($ar,"\n"); fputs($ar,trim($path.$folderGroup."/media/".$nomeArquivo.".".dameExt($nombre_archivo)));
   fputs($ar,"\n"); fclose($ar);}}
function dameExt($fichero) {$f = explode(".",strtolower($fichero)); $extension =end($f);
return $extension;}?>
